# ``twisted`.`internet`.`interfaces`.`IReactorThreads``

interface documentation

`class IReactorThreads(IReactorFromThreads, IReactorInThreads): (source)`

Known implementations: `twisted.internet.base.ReactorBase`

View In Hierarchy

Dispatch methods to be run in threads.

Internally, this should use a thread pool and dispatch methods to them.

Method | `getThreadPool` | Return the threadpool used by `IReactorInThreads.callInThread`. Create it first if necessary.
Method | `suggestThreadPoolSize` | Suggest the size of the internal threadpool used to dispatch functions passed to `IReactorInThreads.callInThread`.

Inherited from `IReactorFromThreads`:

Method | `callFromThread` | Cause a function to be executed by the reactor thread.

Inherited from `IReactorInThreads`:

Method | `callInThread` | Run the given callable object in a separate thread, with the given arguments and keyword arguments.

def getThreadPool(): (source)
Return the threadpool used by `IReactorInThreads.callInThread`. Create it first if necessary.

Returns
`ThreadPool` | Undocumented

def suggestThreadPoolSize(size): (source)
Suggest the size of the internal threadpool used to dispatch functions passed to `IReactorInThreads.callInThread`.

Parameters
size:`int` | Undocumented